﻿define([
    'jquery',
    'nico/drop'
], function ($, Drop) {
    'use strict';

    var defaults = function () {
        return {
            tekst: '',
            isVisible: true,
            cutoff: {
                variabeleId: null,
                lowerCutoff: null,
                higherCutoff: null
            }
        };
    };

    function TailoredTekst(options, $element) {
        Drop.call(this, $element, defaults());

        this.data = $.extend(this.data, options);

        this.$element
            .html(this.data.tekst);

        return this;
    };

    Drop.extend(TailoredTekst, Drop);

    TailoredTekst.prototype.preRender = function () {
        this.applyPosition();

        if (!this.data.isVisible)
            this.$element.hide();
    };

    return TailoredTekst;
});