﻿define([
    'jquery',
    'nico/userSettings'
], function ($, userSettings) {
    'use strict';
    
    return {
        start: function () {
            var programma = userSettings.get().programma;

            if (programma)
                $('body').addClass(programma.kleur);

            $('body').removeClass('hidden');

            $('#retry')
                .click(function () {
                    if (navigator.connection.type !== Connection.NONE)
                        window.location.href = 'index.html';
                });
        }
    };
});