﻿// todo this file is shared between the web and mobile site
define(function () {
    'use strict';

    var extend = function (subClass, superClass) {
        var F = function () { };
        F.prototype = superClass.prototype;
        subClass.prototype = new F();
        subClass.prototype.constructor = subClass;

        if (superClass.prototype.constructor == Object.prototype.constructor) {
            superClass.prototype.constructor = superClass;
        }
    };

    var makeExtendable = function (obj) {
        obj.extend = extend;
    };

    return {
        extend: extend,
        makeExtendable: makeExtendable
    };
});