﻿define([
    'jquery',
    'nico/drop',
    './invulveld',
    './../VraagStelling/vraagStellingDesign',
    'nico/Designer/propertyEditors'
], function ($, Drop, Invulveld, VraagStellingDesign, propertyEditors) {
    'use strict';

    function InvulveldDesign(options, $element) {
        Invulveld.call(this, options, $element);

        this.vraagStellingDesign = new VraagStellingDesign();

        this.initAnchorData(this.data);
        this.addClicksForEdit(this.getPropertyEditors());
    }

    Drop.extend(InvulveldDesign, Invulveld);

    InvulveldDesign.prototype.addSaveData = function (data) {
        this.vraagStellingDesign.decorateSaveData(data, this.data);
    };

    InvulveldDesign.prototype.getPropertyEditors = function () {
        return this.vraagStellingDesign.decorateEditors(
            propertyEditors.createText('Default Waarde'),
            [],
            this.data);
    };

    return InvulveldDesign;
});