﻿define([
    'jquery',
    'nico/drop'
], function ($, Drop) {
    'use strict';

    var defaults = function () {
        return {
            tekst: ''
        };
    };

    function TekstZonderOpmaak(options, $element) {
        Drop.call(this, $element, defaults());

        this.data = $.extend(this.data, options);
        
        this.$element
            .text(this.data.tekst);
    };

    Drop.extend(TekstZonderOpmaak, Drop);

    TekstZonderOpmaak.prototype.preRender = function () {
        this.applyPosition();
    };

    return TekstZonderOpmaak;
});