﻿define([
    'jquery',
    'nico/userSettings',
    'nico/url',
    'nico/dispatcher'
], function ($, userSettings, url, Dispatcher) {
    'use strict';

    var start = function () {
        $('#afmelden')
            .click(function () {
                new Dispatcher()
                    .post('/Home/InvalidateToken')
                    .always(function () {
                        userSettings.delete();
                        window.location.href = 'login.html';
                    });
            });
        $('#go-to-web').click(function() {
            url.redirect();
        });
    };

    return {
        start: start
    };

});