define([
    'jquery',
    'underscore'
], function($, _) {
    'use strict';

    var Advies = function($element, introductie) {
        this.$element = $element;
        this.introductie = introductie;
    };

    Advies.prototype.render = function() {
        this.$element
            .find('#adviesIntroductie')
            .text(this.introductie);

        this.$element
            .find('#panicLink')
            .on('tap', function() {
                window.location.href = 'panic.html';
            });
    };

    return Advies;

});