﻿// todo this file is shared between the web and mobile site
define(function () {

    var upperCase = /[A-Z]/;
    var lowerCase = /[a-z]/;
    var number = /[0-9]/;

    function Validator()
    { }

    Validator.prototype.isValidPassword = function (password) {
        if (password.length < 8)
            return false;

        if (password.search(upperCase) == -1 || password.search(lowerCase) == -1 || password.search(number) == -1)
            return false;

        return true;
    };

    Validator.prototype.isValidEmail = function (email) {
        var emailParts = email.split('@');
        return emailParts.length == 2
            && emailParts[0].length > 0
            && emailParts[1].length > 0;
    };

    return new Validator();
});