﻿// todo this file is shared between the web and mobile site
define(function () {
    'use strict';

    var SysteemBoodschappen = function() {
        this.boodschappen = {};
    };

    SysteemBoodschappen.prototype.set = function (boodschappen) {
        this.boodschappen = _.chain(boodschappen)
            .map(function(boodschap) {
                return [boodschap.code, boodschap.message];
            })
            .object()
            .value();
    };

    SysteemBoodschappen.prototype.get = function(code) {
        return this.boodschappen[code] || '';
    };

    return new SysteemBoodschappen();
});