// This file is generated at build time
var require = {
    baseUrl: 'js',
    urlArgs: 'bust=635633181661338311',
    paths: {
        'jquery': 'ThirdParty/jquery-1.11.1.min',
        'jquery.blockUI': 'ThirdParty/jquery.blockUI.min',
        'underscore': 'ThirdParty/lodash.underscore.min',
        'hammer': 'ThirdParty/hammer',
        'iscroll': 'ThirdParty/iscroll',
        'scrollz': 'ThirdParty/jquery.scrollz',
        'infinitescroll': 'ThirdParty/jquery.infinitescroll',
        'owlCarousel': 'ThirdParty/owl.carousel',
        'nouislider': 'ThirdParty/jquery.nouislider.min',
        'fitVids': 'ThirdParty/jquery.fitvids',
        'widgets/templates': 'http://stopsmokingcoach.eu/designer/widgets/templates'
    },
    shim: {
        underscore: { exports: '_' },
        jquery: { exports: '$' },
        hammer: { exports: 'Hammer' },
        iscroll: { exports: 'IScroll' },
        scrollz: { deps: ['jquery'] },
        nouislider: { deps: ['jquery'] },
        owlCarousel: { deps: ['jquery'] }
    },
    packages: [
        { name: 'nico', location: 'Nico' },
        { name: 'widgets', location: 'Widgets' },
        { name: 'buildingBlocks', location: 'BuildingBlocks' }
    ],
    config: {
        'nico/url': {
            serviceUrl: 'http://stopsmokingcoach.eu/mobile/',
            webHost: 'http://stopsmokingcoach.eu/web/',
            filesUrl: 'http://stopsmokingcoach.eu/designer/'
        }
    }
};
